import { combineReducers } from "redux";
import { persistReducer } from "redux-persist";
import storage from "redux-persist/lib/storage";

import authReducer from "../reducers/auth";

const AuthPersistConfig = {
  storage,
  key: "auth",
};

export default combineReducers({
  auth: persistReducer(AuthPersistConfig, authReducer),
});
