import { ACTIONS } from ".";
import { ControlsType, Reducers, UpdatePasswordPayload } from "../types";

export const setAppState = (payload: Reducers["auth"]["appState"]) => ({
  type: ACTIONS.SET_APP_STATE,
  payload,
});

export const updateKeystrokeSettings = (payload: ControlsType) => ({
  type: ACTIONS.UPDATE_KEYSTROKE_SETTINGS,
  payload,
});

export const changePassword = (payload: UpdatePasswordPayload) => ({
  type: ACTIONS.CHANGE_PASSWORD,
  payload,
});
